#
#resource "authentik_provider_proxy" "hass" {
#  name          = "Home Assistant"
#  internal_host = "http://homeassistant.homeassistant:8123"
#  external_host = "https://hass.lab.cowley.tech"
#
#  internal_host_ssl_validation = false
#
#  authentication_flow = data.authentik_flow.default-authentication-flow.id
#  authorization_flow  = data.authentik_flow.default-provider-authorization-implicit-consent.id
#  invalidation_flow   = data.authentik_flow.default-provider-invalidation-flow.id
#
#  access_token_validity = "hours=24"
#}
#
#resource "authentik_application" "hass" {
#  name = "Home Assistant"
#  slug = "homeassistant"
#
#  protocol_provider = authentik_provider_proxy.hass.id
#}


resource "authentik_provider_proxy" "esphome" {
  name          = "ESP Home"
  internal_host = "http://esphome.homeassistant:6052"
  external_host = "https://esphome.lab.cowley.tech"

  internal_host_ssl_validation = false

  authentication_flow = data.authentik_flow.default-authentication-flow.id
  authorization_flow  = data.authentik_flow.default-provider-authorization-implicit-consent.id
  invalidation_flow   = data.authentik_flow.default-provider-invalidation-flow.id

  access_token_validity = "hours=24"
}

resource "authentik_application" "esphome" {
  name = "ESP Home"
  slug = "esphome"

  protocol_provider = authentik_provider_proxy.esphome.id
}


